Bug 125993 - Junk/unwanted characters fill XTerm when multiples lines of output returned.
Junk/unwanted characters fill XTerm when multiples lines of output returned.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
http://gregestrin.com/xterm-bug.png
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-06-14 18:30 EDT by gestrin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 11:26:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gestrin 2004-06-14 18:30:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040403 Firefox/0.8

Description of problem:
When running a program inside of an XTerm that returns a lot of output
(for instance, running 'make'), garbage characters collect on the
screen, most often at the bottom, but sometimes elsewhere. These
characters look like underscores, or possibly dashes. The problem can
be cleared up by running xrefresh. This only appears to happen when
using TrueType fonts. This happens under any windowmanager. Given a
long time without an xrefresh, these characters can fill up a
significant section of the screen.

Version-Release number of selected component (if applicable):
xterm-179-6.EL

How reproducible:
Always

Steps to Reproduce:
1. Open an XTerm that is configured via a .Xresources or .Xdefaults
file to use a TrueType font. Configuration via runtime parameters
should also work.
2. Run a program that returns multiple lines, whole screens even, of
output. Compiling a program is a good example.
    

Actual Results: The underscore characters appeared at the bottom of
the screen.

Expected Results: The underscore characters should appear at the
bottom of the screen, sometimes they are sparsely spread of other
areas of the screen.
Comment 1 gestrin 2004-06-14 18:55:33 EDT
Screw up in 'Expectes Results:', should read: "Underscore characters
do not appear at the bottom of the screen."
Comment 2 Thomas E. Dickey 2004-06-16 15:53:12 EDT
That sounds like what I'd call pixel-trash.  xterm tries to
check for characters that go outside their bounding boxes,
but some fonts have incorrect metrics (and of course xterm
may not do this check perfectly).  A specific font and size
would help to reproduce the problem and see whether I can
improve this.
Comment 3 gestrin 2004-06-17 01:07:51 EDT
So far I've found that it happened with Bitstream Vera Sans Mono at
every size that I've tried, without fail. The only other monospace
fonts I have are Andale Mono, Courier & Courier New, and the default
'Monospace.' All of those don't appear to cause this problem.
Comment 4 gestrin 2004-06-17 13:09:13 EDT
The default 'Monospace' as it turns out is Luxi Mono, if that helps.
Comment 5 Mike A. Harris 2004-12-23 14:20:08 EST
Does this occur in Fedora Core 3 as well?
Comment 7 Thomas E. Dickey 2004-12-23 15:05:05 EST
I had a second report (user on FreeBSD 5.3) citing the
same font, X11R6.7.  I don't see it with this font on
Debian/testing though.  (I would test with Fedora, but
its mouse driver doesn't work for my machine).  But I
do have the FreeBSD working, will look there when I'm
testing it.
Comment 8 Mike A. Harris 2005-03-15 11:26:13 EST
Since this bugzilla report was filed, there have been several major
updates to xterm which may resolve this issue.  Users who have
experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.